package org.yasrun.game.kafunwars.objects;

public class Kafun extends FlyingObject {
    private boolean dead = false;

    public Kafun(int x, int y, int vx, int vy) {
        super(x, y, vx, vy);
    }

    public void move() {
        X += VX;
        Y += VY;
        if (dead) {
            life--;
        }
    }

    public void judge() {
        if (X < 0 || X > 320 || Y < 0 || Y > 480) {
            life = -1;
        }
    }

    public boolean isDead() {
        return dead;
    }

    public void setDead(boolean dead) {
        this.dead = dead;
    }
}
